Bug 1737993 - gnumeric depends on Python 2
Summary: gnumeric depends on Python 2
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnumeric
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Huzaifa S. Sidhpurwala
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1744320
Blocks: F31_PY2REMOVAL
TreeView+ depends on / blocked
 
Reported: 2019-08-06 12:20 UTC by Lumír Balhar
Modified: 2020-11-24 16:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 16:37:32 UTC
Type: Bug


Attachments (Terms of Use)
patch ripping out python support (3.05 KB, patch)
2019-08-07 17:56 UTC, Julian Sikorski
no flags Details | Diff

Description Lumír Balhar 2019-08-06 12:20:36 UTC
Python 2.7 will reach end-of-life in January 2020, over 9 years after it was released. This falls within the Fedora 31 lifetime.
Packages that depend on Python 2 are being switched to Python 3 or removed from Fedora: https://fedoraproject.org/wiki/Changes/F31_Mass_Python_2_Package_Removal#Information_on_Remaining_Packages
Python 2 will be retired in Fedora 32: https://fedoraproject.org/wiki/Changes/RetirePython2

To help planning, we'd like to know the plans for gnumeric's future. Specifically:


- What is the reason for the Python2 dependency? (Is it software written in Python, or does it just provide Python bindings, or use Python in the build system or test runner?) 

- What are the upstream/community plans/timelines regarding Python 3?

- What is the guidance for porting to Python 3? (Assuming that there is someone who generally knows how to port to Python 3, but doesn't know anything about the particular package, what are the next steps to take?)


This bug is filed semi-automatically, and might not have all the context specific to gnumeric.
If you need anything from us, or something is unclear, please mention it here.

Thank you.

Comment 1 Julian Sikorski 2019-08-06 15:49:42 UTC
Morten, would you care to weigh in?

Comment 2 M Welinder 2019-08-07 00:48:32 UTC
There's are two different python parts of Gnumeric.

1. The py-loader plugin.  With python 2 absent, that should be automatically excluded.
2. Introspection based scripting.  That ought to work fine with python 3.

Suggestion: disable the plugin until someone (me, probably) finds time to deal with it.

Comment 3 Julian Sikorski 2019-08-07 17:56:46 UTC
Created attachment 1601502 [details]
patch ripping out python support

With the attached patch the rpm builds successfully without python support. The added difficulty is that pygobject3-devel currently drags in python2.

Comment 4 M Welinder 2019-08-11 20:26:57 UTC
Patch looks good visually.

> pygobject3-devel currently drags in python2

Is that my department?

Comment 5 Julian Sikorski 2019-08-12 17:56:59 UTC
(In reply to M Welinder from comment #4)
> Patch looks good visually.
> 
Thanks for the review!
> > pygobject3-devel currently drags in python2
> 
> Is that my department?

Not really. The only question is: is there any advantage in waiting until pygobject3 python2 dependency is removed? I expect that a bug not similar to this one will be soon filed against pygobject3 and its maintainer will have to remove python2 dependency. After that pygobject3 can be (re-)added to gnumeric's list of dependencies.

Comment 6 Ben Cotton 2019-08-13 17:04:18 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to 31.

Comment 7 Ben Cotton 2019-08-13 17:11:20 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 31 development cycle.
Changing version to '31'.

Comment 8 Lumír Balhar 2019-08-20 14:10:16 UTC
A lot of packages depends on pygobject3 so it'll take some time before we can remove Python 2 bits from it.

Making sure that your package does not depend directly on Python 2 is enough. Could you please build a new version of gnumeric so we can check its dependencies?

Comment 9 Julian Sikorski 2019-08-22 08:02:54 UTC
I have committed the change but the buildroot appears to be broken as of now due to #1744292. I will build gnumeric with python2 support removed once it can be done.

Comment 10 Julian Sikorski 2019-08-23 12:04:35 UTC
Gnumeric without python support built: gnumeric-1.12.45-3.fc31 and gnumeric-1.12.45-3.fc32.

Comment 11 Ben Cotton 2020-11-03 15:30:24 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 M Welinder 2020-11-04 12:10:18 UTC
This is, for the record, fixed upstream.

Comment 13 Ben Cotton 2020-11-24 16:37:32 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.